#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from app.admin.schema.auth import AuthGenTokenParam
from app.admin.service.auth_service import auth_service
from common.response.response_schema import ResponseModel, response_base
from typing import Annotated
from fastapi import APIRouter, Path

router = APIRouter()

@router.get(
    '/gen_token/{pk}',
    summary='获取 token',
    description=''
)
async def get_token(
    pk: Annotated[int, Path(...)]
) -> ResponseModel:
    data = await auth_service.gen_token(pk)
    return response_base.success(data=data)
