#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from datetime import datetime

from pydantic import ConfigDict

from common.schema import SchemaBase


class IntentOrgSchemaBase(SchemaBase):
    name: str
    api_key: str
    openai_base: str
    openai_key: str
    intent_callback: str
    mismatch_callback: str
    status: int
    deleted_time: datetime | None = None


class CreateIntentOrgParam(IntentOrgSchemaBase):
    pass


class UpdateIntentOrgParam(IntentOrgSchemaBase):
    pass


class GetIntentOrgListDetails(IntentOrgSchemaBase):
    model_config = ConfigDict(from_attributes=True)

class CurrentIntentOrgIns(GetIntentOrgListDetails):
    id: int
    model_config = ConfigDict(from_attributes=True)