#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from datetime import datetime

from common.schema import SchemaBase


class GetSwaggerToken(SchemaBase):
    access_token: str
    token_type: str = 'Bearer'


class AccessTokenBase(SchemaBase):
    access_token: str
    access_token_type: str = 'Bearer'
    access_token_expire_time: datetime | None


class GetNewToken(AccessTokenBase):
    pass


class GetLoginToken(AccessTokenBase):
    pass
