import uuid

from app.call_center.schema.form_records import CreateFormRecordsParam
from app.call_center.service.form_records_service import form_records_service
from common.response.response_schema import ResponseModel, response_base
from common.security.jwt_call_center import DependsJwtAuth
from fastapi import APIRouter, Request

router = APIRouter()
@router.post(
    '',
    summary='创建record',
    dependencies=[
        DependsJwtAuth
    ],
)
async def create_form_record(obj: CreateFormRecordsParam, request: Request) -> ResponseModel:
    id_str = str(uuid.uuid4())
    obj.id = id_str
    obj.org_id = request.user.id
    form_value = await form_records_service.create(obj=obj)
    if form_value:
        return response_base.success(data=form_value)
    return response_base.fail()