from sqlalchemy.ext.asyncio import AsyncSession
from sqlalchemy_crud_plus import CRUDPlus

from app.call_center.schema.form_records import CreateFormRecordsParam
from model.form_records import FormRecords


class CRUDFormRecords(CRUDPlus[FormRecords]):
    async def create(self, db: AsyncSession, obj_in: CreateFormRecordsParam) -> None:
        """
        创建call record

        :param db:
        :param obj_in:
        :return:
        """
        await self.create_model(db, obj_in)

form_records_dao: CRUDFormRecords = CRUDFormRecords(FormRecords)