
from common.schema import SchemaBase
from datetime import datetime

class FormRecordsSchemaBase(SchemaBase):
    pass

class FormFieldOptions(FormRecordsSchemaBase):
    value: str
    label: str
    children: list['FormFieldOptions'] | None = None

class FormFieldProps(FormRecordsSchemaBase):
    options: list[FormFieldOptions]

class FormData(FormRecordsSchemaBase):
    valueType: str
    title: str
    dataIndex: str
    fieldProps: FormFieldProps | None = None

class CreateFormRecordsParam(FormRecordsSchemaBase):
    id: str | None = 0
    external_id: str
    chat_history: str
    form_data: list[FormData]
    form_value: list | None = None
    org_id: int | None = 0
    created_at: datetime | None = None
    updated_at: datetime | None = None
