#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from datetime import datetime

from pydantic import ConfigDict

from common.schema import SchemaBase

class MismatchRecordsSchemaBase(SchemaBase):
    pass

class GetMismatchRecordsByIdParam(MismatchRecordsSchemaBase):
    internal_id: str | None = None
    external_id: str | None = None
    org_id: int | None = 0

class CreateMismatchRecordsParam(MismatchRecordsSchemaBase):
    id: str | None = 0
    external_id: str
    industry_type: int | None = 0
    chat_history: str
    missed: str
    ignore: int | None = 0
    org_id: int | None = 0
    created_at: datetime | None = None
    updated_at: datetime | None = None


class UpdateMismatchRecordsParam(MismatchRecordsSchemaBase):
    internal_id: str | None = None
    external_id: str | None = None
    ignore: int
    org_id: int | None = 0


class GetMismatchRecordsDetails(MismatchRecordsSchemaBase):
    model_config = ConfigDict(from_attributes=True)

    id: str
    external_id: str
    chat_history: str
    missed: str
    ignore: int
    llm_ignore: int
    org_id: int | None = 0