#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from fastapi import APIRouter

from app.gpt.api import v1 as gpt_v1
from app.admin.api import v1 as admin_v1
from app.call_center.api.intent import v1 as intent_v1
from app.call_center.api.form import v1 as form_v1
from app.call_center.api.mismatch import v1 as mismatch_v1

route = APIRouter()

route.include_router(gpt_v1)

call_center_route = APIRouter()
call_center_route.include_router(intent_v1)
call_center_route.include_router(form_v1)
call_center_route.include_router(mismatch_v1)
call_center_route.include_router(admin_v1)